
/*
 * Add these two functions to the functions.inc for the File Management
 * plugin to get a "Downloads" section in Geeklog's What's New block
 * (requires Geeklog 1.3.9rc1 or newer).
 *
 * Make sure your functions.inc still end with ?> after you've added these
 * functions!
 */

function plugin_whatsnewsupported_filemgmt()
{
    global $LANG01;

    return (array ('DOWNLOADS', $LANG01[87]));
}

function plugin_getwhatsnew_filemgmt()
{
    global $_CONF, $_FM_TABLES;

    $sql = "SELECT lid,title,date FROM {$_FM_TABLES['filemgmt_filedetail']} WHERE ";
    $now = time();
    $desired = $now - $_CONF['newlinksinterval'];
    $sql .= "{$_FM_TABLES['filemgmt_filedetail']}.date > {$desired} AND (status = 1) ORDER by lid DESC LIMIT 15";
    $result = DB_query ($sql);
    $nrows = DB_numRows ($result);

    if ($nrows == 0) {
        $newfiles = 'No new downloads';
    } else {
        $newfiles = array ();

        for ($i = 0; $i < $nrows; $i++) {
            $A = DB_fetchArray($result);
            if (SEC_hasRights ('filemgmt.user')) {
                $url = $_CONF['site_url'] . '/filemgmt/singlefile.php?lid='
                     . $A['lid'];
                if (strlen ($A['title']) > 20) {
                    $newfiles[] = '<a href="' . $url . '" title="'
                            . htmlspecialchars ($A['title']) . '">'
                            . substr ($A['title'], 0, 20) . '...</a>' . LB;
                } else {
                    $newfiles[] = '<a href="' . $url . '">' . $A['title']
                                . '</a>' . LB;
                }
            }
        }
    }

    return $newfiles;
}

